Debian Bug report logs - #489894
gnustep-gui: FTBFS on GNU/kFreeBSD (due to subsecond timestamp resolution)

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Tue, 8 Jul 2008 15:15:02 UTC

Severity: important

Tags: patch

Found in version 7.0-3

Fixed in version kfreebsd-7/7.0-4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#489894; Package gnustep-gui. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: gnustep-gui: FTBFS on GNU/kFreeBSD (due to subsecond timestamp resolution)
Date: Tue, 8 Jul 2008 17:27:33 +0200 (CEST)
Package: gnustep-gui
Severity: important
Version: 0.14.0-3
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd


Hi,

the current version fails to build on kfreebsd-amd64.

It is due to subsecond time resolution available in underlying
file system. The output of gcc does have subsecond timestamps cleared,
but output of touch preserves them.

Please, could you use patch bellow.

Thanks in advance

                        Petr

--- Source/GNUmakefile.postamble~
+++ Source/GNUmakefile.postamble
@@ -107,7 +107,9 @@
 $(GNUSTEP_TARGET_DIR)/config.h: ../config.status
        $(MKDIRS) $(GNUSTEP_TARGET_DIR)
        -mv ../Headers/Additions/GNUstepGUI/config.h $(GNUSTEP_TARGET_DIR)
+       -sleep 1
        -touch $(GNUSTEP_TARGET_DIR)/config.h
+       -sleep 1

 #
 #       Files that need a rebuild if config.h is changed.





Bug reassigned from package `gnustep-gui' to `kfreebsd-7'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 09 Jul 2008 23:21:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 489894-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 489894-close@bugs.debian.org
Subject: Bug#489894: fixed in kfreebsd-7 7.0-4
Date: Mon, 14 Jul 2008 19:17:12 +0000
Source: kfreebsd-7
Source-Version: 7.0-4

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.0-4.diff.gz
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.0-4.diff.gz
kfreebsd-7_7.0-4.dsc
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.0-4.dsc
kfreebsd-source-7.0_7.0-4_all.deb
  to pool/main/k/kfreebsd-7/kfreebsd-source-7.0_7.0-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489894@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Jul 2008 11:11:11 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.0 kfreebsd-headers-7.0-1 kfreebsd-image-7.0-1-amd64-generic ndiswrapper-modules-7.0-1-amd64-generic kfreebsd-image-7-amd64-generic kfreebsd-headers-7.0-1-amd64-generic kfreebsd-headers-7-amd64-generic kfreebsd-image-7.0-1-amd64-k8 ndiswrapper-modules-7.0-1-amd64-k8 kfreebsd-image-7-amd64-k8 kfreebsd-headers-7.0-1-amd64-k8 kfreebsd-headers-7-amd64-k8 kfreebsd-image-7.0-1-amd64-k8-smp ndiswrapper-modules-7.0-1-amd64-k8-smp kfreebsd-image-7-amd64-k8-smp kfreebsd-headers-7.0-1-amd64-k8-smp kfreebsd-headers-7-amd64-k8-smp kfreebsd-image-7.0-1-em64t-p4 ndiswrapper-modules-7.0-1-em64t-p4 kfreebsd-image-7-em64t-p4 kfreebsd-headers-7.0-1-em64t-p4 kfreebsd-headers-7-em64t-p4 kfreebsd-image-7.0-1-em64t-p4-smp ndiswrapper-modules-7.0-1-em64t-p4-smp kfreebsd-image-7-em64t-p4-smp kfreebsd-headers-7.0-1-em64t-p4-smp kfreebsd-headers-7-em64t-p4-smp kfreebsd-image-7.0-1-486 ndiswrapper-modules-7.0-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.0-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.0-1-586 ndiswrapper-modules-7.0-1-586 kfreebsd-image-7-586 kfreebsd-headers-7.0-1-586 kfreebsd-headers-7-586 kfreebsd-image-7.0-1-586-smp ndiswrapper-modules-7.0-1-586-smp kfreebsd-image-7-586-smp kfreebsd-headers-7.0-1-586-smp kfreebsd-headers-7-586-smp kfreebsd-image-7.0-1-686 ndiswrapper-modules-7.0-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.0-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.0-1-686-smp ndiswrapper-modules-7.0-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.0-1-686-smp kfreebsd-headers-7-686-smp
Architecture: source all
Version: 7.0-4
Distribution: unstable
Urgency: medium
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-586 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-586-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64-generic - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64-k8 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64-k8-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-em64t-p4 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-em64t-p4-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.0-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.0-1-486 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-586 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-586-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-686 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-686-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-amd64-generic - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-amd64-k8 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-amd64-k8-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-em64t-p4 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-em64t-p4-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-586 - kernel of FreeBSD 7 image
 kfreebsd-image-7-586-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-generic - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-k8 - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-k8-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-em64t-p4 - kernel of FreeBSD 7 image
 kfreebsd-image-7-em64t-p4-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7.0-1-486 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-586 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-586-smp - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-686 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-686-smp - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-amd64-generic - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-amd64-k8 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-amd64-k8-smp - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-em64t-p4 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-em64t-p4-smp - kernel of FreeBSD 7.0 image
 kfreebsd-source-7.0 - source code for kernel of FreeBSD 7.0 with Debian patches
 ndiswrapper-modules-7.0-1-486 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-586 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-586-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-686 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-686-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-amd64-generic - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-amd64-k8 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-amd64-k8-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-em64t-p4 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-em64t-p4-smp - Ndiswrapper kFreeBSD module
Closes: 489894
Changes: 
 kfreebsd-7 (7.0-4) unstable; urgency=medium
 .
   [ Petr Salinger ]
   * Fix subsecond timestamp resolution handling for *times(arg, NULL)
     syscall family. Exposed by touch. Closes: #489894.
 .
   [ Aurelien Jarno ]
   * Build by gcc-4.3
Checksums-Sha1: 
 b48b3a6bfeda74b43c7076da80daa74149e63e55 2898 kfreebsd-7_7.0-4.dsc
 841ca8dfbf5c266117eda5b4d81e72b18e464db9 31422 kfreebsd-7_7.0-4.diff.gz
 f715e136ddee2435361bfd98699436c8decfaed4 17625534 kfreebsd-source-7.0_7.0-4_all.deb
Checksums-Sha256: 
 6f59f9b67880d377cafc17732793d4f49af7fa697c4571772353e0a18440911a 2898 kfreebsd-7_7.0-4.dsc
 684b65cda670f950d85c48ee08e5b1876a044f6719962a04f9b91e4cc01489e9 31422 kfreebsd-7_7.0-4.diff.gz
 61e7571762a4aa122736a161ca8f5f65316613f742792ce556d4dca3f8fb1c97 17625534 kfreebsd-source-7.0_7.0-4_all.deb
Files: 
 cd7b2ce25fad6292b34da4ca4b35351e 2898 devel optional kfreebsd-7_7.0-4.dsc
 eee75dd9ac2357dc5f8d62041ea8243b 31422 devel optional kfreebsd-7_7.0-4.diff.gz
 7a4a28ae77b5c81c61533f5978a6749e 17625534 devel optional kfreebsd-source-7.0_7.0-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIe6Kdw3ao2vG823MRApzsAJ9Xp4egkgEthh/8EV8JHmcWn2xC0gCfQRXk
5pQno/86jVgHUpZWePfmoww=
=EBOS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Aug 2008 07:36:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:48:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.